Bug 202521 - Review Request: RutilT - Diagnostic tools for Ralink Wireless devices
Review Request: RutilT - Diagnostic tools for Ralink Wireless devices
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-14 17:45 EDT by Nicolas Chauvet (kwizart)
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-16 09:19:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fedora-7-x86_64 mock logs 0.15-1 (27.85 KB, text/plain)
2007-07-06 15:53 EDT, Nicolas Chauvet (kwizart)
no flags Details

  None (edit)
Description Nicolas Chauvet (kwizart) 2006-08-14 17:45:31 EDT
Spec URL: http://kwizart.free.fr/fedora/SPECS/RutilT.spec
SRPM URL: http://kwizart.free.fr/fedora/5/SRPMS/RutilT-0.11-1.kwizart.FC5.src.rpm
Description: Configuration tool for Ralink Wireless devices
Comment 1 Nicolas Chauvet (kwizart) 2006-08-14 17:57:11 EDT
Configuration tool for Rt2400 rt2500 rt2570 rt2600 wifi chipset
Related to rt2500-kmod and rt2500 packages... (driver for rt2500 Ralink chipset)
web : http://rt2x00.serialmonkey.com
forum : http://rt2x00.serialmonkey.com/phpBB2/viewtopic.php?p=12685#12685
Comment 2 Paul F. Johnson 2006-08-14 18:06:13 EDT
ExclusiveArch:	i686 x86_64

You need a note explaining why it won't work elsewhere

BuildRequires:  gtk2-devel

You also need desktop-file-utils

sh configure.sh \
	--prefix=%{_prefix}

Not required

%configure --prefix=%{_prefix} (though the --prefix shouldn't be needed either)

%install

needs rm -rf $RPM_BUILD_ROOT at the start
is there no make install on the package?

%{_datadir}/rutilt/RutilT128x128.png
%{_datadir}/rutilt/RutilT16x16.png
...etc

Not needed

%{_datadir}/rutilt/

does the same job and you don't need all the pngs listed. It also gives the
package ownership of that directory

%{_datadir}/applications/livna-RutilT.desktop

Um? livna?

cat > %{name}.desktop <<EOF

No Version tag or try-exec (not sure if try-exec is strictly needed though)

install -m 0755 rutilt_helper $RPM_BUILD_ROOT%{_datadir}/rutilt/rutilt_helper
install -m 0755 set_ip.sh $RPM_BUILD_ROOT%{_datadir}/rutilt/set_ip.sh

These don't look like they're in the right place. Could you check them as I have
a feeling rutilt_help should be in %{_bindir} with set_ip possibly in /sbin

Plenty to be getting on with there...
Comment 3 Paul F. Johnson 2006-08-14 18:07:47 EDT
Just a thought, shouldn't those png files conform to them being placed in the
normal icons directory?
Comment 4 Nicolas Chauvet (kwizart) 2006-08-15 08:07:15 EDT
Hello!
The script make install exist but cannot work well with %RPM_BUILD_ROOT (ie: the
binary searches icons in /var/tmp/RutilTv0.11-buildroot/usr/share/rutilt where
it should be /usr/share/rutilt. I was using sh configure.sh
--prefix=$RPM_BUILD_ROOT%{_prefix}  - So i've just noted where make install
place files and use normal prefix to manual install files...


What is the regular way of updatating the .spec file?
- Make a patch and import (what's the old/new name?)
- Upload to new version of the .spec on my website?

Quote of INSTALL file:
"  - Rutilt helper's install path has changed between v0.07 and v0.08. Before,
it was /usr/libexec/, it's now /usr/local/share/rutilt/. Ditto with the main
binary, is was previously installed in /usr/bin/, it's now in /usr/local/bin/.
Make sure you erase the old binaries.
...
    - "make install" installed the program in /usr/sbin before v0.06, it's
now /usr/bin. Make sure you erase your old binary."

-> so maybe i can change from /usr/share to /usr/local/share? what is the name
of this directory for using in a spec file? But INSTALL is not really clear so
i've used path result of the make install script...

changed livna to extra and %{_datadir} png....
ExclusiveArch:	may be dropped (ppc version of the kmod-rt2500 may be very buggy )
Comment 5 Jason Tibbitts 2006-08-15 09:45:07 EDT
Why has this ticket been closed?
Comment 6 Nicolas Chauvet (kwizart) 2006-08-15 09:54:02 EDT
reopen (don't know why it has closed)
really new to bugzilla so i need also a sponsort!
Comment 7 Paul F. Johnson 2006-08-15 10:04:26 EDT
You will also need to add the review of RutiL-kmod will block this and that this
will block RutiL-utils
Comment 8 Nicolas Chauvet (kwizart) 2006-08-15 10:54:31 EDT
Not sure to understand well!
Don't know if its really a kmod because it do not produce .ko file!
But it's true he seems to need a kernel path (maybe to include headers of
wireless extensions...)
So, do you expect that I need to make kdump smp xenO or XenU versions of this?
Or only provides binaries to related kernel version like 2174_FC5?
Comment 9 Paul F. Johnson 2006-08-15 11:05:58 EDT
This application (i.e. the application associated to this bug) is not the kernel
module but the configuration tool for said module. You need to file this
question against the kmod package you've submitted.
Comment 10 Nicolas Chauvet (kwizart) 2006-08-15 12:02:43 EDT
OK!

But this config file also work for rt2400 rt2570and rt2600. That 's why i've
proposed an independant package for RutilT. It can be linked inside rt2500-kmod
to provide rt2500-kmod-util ( I don't know how to do this for now - with use of
kmodtool)
Or use requires: RutilT-kmod inside rt2500-kmod to link  with the same kernel
version. Since this config tool is optionnal (not needed by rt2500-kmod which
provide ra2500config ) but is smarter than the one provided. I have proposed not
do link it with the driver for now...

Comment 11 Nicolas Chauvet (kwizart) 2006-09-08 19:03:26 EDT
Spec URL: http://kwizart.free.fr/fedora/SPECS/RutilT.spec
SRPM URL: http://kwizart.free.fr/fedora/testing/RutilT-0.12-3_FC5.src.rpm
Description: Configuration tool for Ralink Wireless devices.

This utility is now required by kmod-rt2500
rpmlint is silent (but debug package is empty - need to be disabled - how?)

Not sure about how to link to wireless.h for Fedora Core 5... Need to define
kversion (for FC4, FC6). Default is kversion 2.6.17-1.2174_FC5.
 
Comment 12 Nicolas Chauvet (kwizart) 2006-10-02 20:39:54 EDT
Since the Ralink chipset works better with system-config-network, i will not add
: "Requires: RuiltT" from the new rt2x00-kmod-common. It remains one problem
about root access ( file need to be setuid - but this is a potential security
risk as i know!) 
Comment 13 Kevin Fenzi 2007-06-04 23:59:40 EDT
Whats the status of this request? 
Does this tool work with the now in kernel rt2* modules? 

Do you still wish to submit it? 
Comment 14 Nicolas Chauvet (kwizart) 2007-06-05 09:02:17 EDT
Spec URL: http://kwizart.free.fr/fedora/6/testing/RutilT/RutilT.spec
SRPM URL: 
http://kwizart.free.fr/fedora/6/testing/RutilT/http://kwizart.free.fr/fedora/6/testing/RutilT/RutilT-0.14-3.kwizart.fc6.src.rpm
Description: Diagnostic tools for Ralink Wireless devices

This package do not build in mock (debuginfo contain BuildRoot...).
I don't know why since whith rpmbuild -ba everything went right...

For now unsure about pam config (testing from my repository)
Previously i was setiuid root rutilt...

This package might be usefull for rt2x00 users (from 2.6.21 kernel) also!
I would recommand to build it for FC-5 (if not end of life) until devel ...

only rt61pci and rt73usb module requires an additionnal firmware. Others
Ralink's chipsets are promoted by the FSF... 



Comment 15 Kevin Fenzi 2007-06-05 12:58:49 EDT
Well, I don't have this hardware, so I can't really test it. 
Perhaps you could post to the devel list and see if there is anyone out there
with the hardware that would like to review this package?
Comment 16 Jason Tibbitts 2007-07-06 13:16:03 EDT
I can't fetch the SRPM from the above URL.
Comment 17 Nicolas Chauvet (kwizart) 2007-07-06 15:46:04 EDT
Spec URL: 
http://kwizart.free.fr/fedora/6/testing/RutilT/RutilT.spec
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/RutilT/RutilT-0.15-1.kwizart.fc7.src.rpm
Description: Diagnostic tools for Ralink Wireless devices

Ok updated to new 0.15
Beginning a testing campaign for Ralinks users and 2.6.21 kernels

For now, i expect something wrong with PAM implementation, 
this is the purpose of the testing...
(from this i may ask advices on the pam ml)
Comment 18 Nicolas Chauvet (kwizart) 2007-07-06 15:53:21 EDT
Created attachment 158701 [details]
fedora-7-x86_64 mock logs 0.15-1
Comment 19 Jason Tibbitts 2007-07-27 19:58:49 EDT
This fails to build for me:

+ desktop-file-install --vendor fedora --dir
/var/tmp/RutilT-0.15-1.fc8-root-mockbuild/usr/share/applications
--delete-original --mode 644 rutilt.desktop
rutilt.desktop: key "Categories" is a list and does not have a semicolon as
trailing character, fixing
/var/tmp/RutilT-0.15-1.fc8-root-mockbuild/usr/share/applications/fedora-rutilt.desktop:
error: value "0.14" for key "Version" in group "Desktop Entry" is not a known
version

This is in mock on x86_64 rawhide.  I think desktop-file-utils has grown some
additional checks.  The killer here is Version, which is supposed to be the
version of the desktop file specification that your .desktop file follows, not
the version of your package.
Comment 20 Nicolas Chauvet (kwizart) 2007-11-16 09:19:54 EST
I'm not interested in this app anymore...
Ralink's wireless devices works fine without it, and it as some securities weaks
(using external sudoers) that make it difficult to uses with the current NM
enhancements...)

Note You need to log in before you can comment on or make changes to this bug.